Bug 1448958 - 4.11.0-1.fc26 does not boot on aarch64
Summary: 4.11.0-1.fc26 does not boot on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2017-05-08 20:38 UTC by Paul Whalen
Modified: 2017-05-12 14:12 UTC (History)
7 users (show)

Fixed In Version: kernel-4.11.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-12 14:12:34 UTC


Attachments (Terms of Use)

Description Paul Whalen 2017-05-08 20:38:16 UTC
Description of problem:
4.11.0-1.fc26 does not boot on aarch64 due to a miscompilation and requires a rebuild with gcc-7.1.1-1.fc26.

 https://gcc.gnu.org/bugzilla/show_bug.cgi?id=80591
  

Version-Release number of selected component (if applicable):
4.11.0-1.fc26

Comment 1 Paul Whalen 2017-05-09 17:39:14 UTC
4.11.0-2.fc26.aarch64 booting as expected. Tested on seattle, mustang and pine64. 

Many thanks Laura!

Comment 2 Fedora Update System 2017-05-09 20:47:02 UTC
kernel-4.11.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfab4a1bca

Comment 3 Fedora Update System 2017-05-12 02:12:24 UTC
kernel-4.11.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfab4a1bca

Comment 4 Fedora Update System 2017-05-12 14:12:34 UTC
kernel-4.11.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.